import { Order, TaxProtocol } from '../../../types';
export declare class ScFormComponentsValidator {
  el: HTMLElement;
  /** Disable validation? */
  disabled: boolean;
  /** The order */
  order: Order;
  /** The tax protocol */
  taxProtocol: TaxProtocol;
  /** Is there an address field? */
  hasAddress: boolean;
  /** Is there a tax id field? */
  hasTaxIDField: boolean;
  handleOrderChange(): void;
  componentWillLoad(): void;
  addAddressField(): void;
  addTaxIDField(): void;
  render(): any;
}
